plugins {
    id("gradle.java-library-conventions")
}

dependencies {
    implementation(project(":prometeu-infra"))
    implementation(project(":prometeu-packer:prometeu-packer-api"))
    implementation("org.apache.tika:tika-core:3.2.1")
}

tasks.register<JavaExec>("runPackMain") {
    group = "application"
    description = "Runs p.packer.PackMain against test-projects/main."
    classpath = sourceSets.main.get().runtimeClasspath
    mainClass = "p.packer.PackMain"
    workingDir = rootDir
}
